import request from '@/utils/request'

// 查询提前批列表
export function listPdEnrolldataEnterPre(query) {
  return request({
    url: '/back/pdEnrolldataEnterPre/list',
    method: 'get',
    params: query
  })
}

// 查询提前批详细
export function getPdEnrolldataEnterPre(id) {
  return request({
    url: '/back/pdEnrolldataEnterPre/' + id,
    method: 'get'
  })
}

// 新增提前批
export function addPdEnrolldataEnterPre(data) {
  return request({
    url: '/back/pdEnrolldataEnterPre',
    method: 'post',
    data: data
  })
}

// 修改提前批
export function updatePdEnrolldataEnterPre(data) {
  return request({
    url: '/back/pdEnrolldataEnterPre',
    method: 'put',
    data: data
  })
}

// 删除提前批
export function delPdEnrolldataEnterPre(id) {
  return request({
    url: '/back/pdEnrolldataEnterPre/' + id,
    method: 'delete'
  })
}
